import {
  ConfigurationDomain,
  ConfigurationType,
  ConfigurationItems,
} from './configuration.types';

export const configurationItems: ConfigurationItems = {
  [ConfigurationDomain.CARPOOL]: {
    seatsProposed: {
      value: '3',
      type: ConfigurationType.NUMBER,
    },
    seatsRequested: {
      value: '1',
      type: ConfigurationType.NUMBER,
    },
    strictFrequency: {
      value: 'false',
      type: ConfigurationType.BOOLEAN,
    },
    departureTimeMargin: {
      value: '900',
      type: ConfigurationType.NUMBER,
    },
    role: {
      value: 'passenger',
      type: ConfigurationType.STRING,
      enum: ['driver', 'passenger'],
    },
  },
  [ConfigurationDomain.USER]: {},
};
