import { DomainEvent, DomainEventProps } from '@mobicoop/ddd-library';
import { ConfigurationIdentifier } from '../configuration.types';

export class ConfigurationDeletedDomainEvent extends DomainEvent {
  readonly identifier: ConfigurationIdentifier;

  constructor(props: DomainEventProps<ConfigurationDeletedDomainEvent>) {
    super(props);
    this.identifier = props.identifier;
  }
}
